Part Helix/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "Zobacz stronę Geometrie pierwotne.")
(Created page with "==Przykład==")
Line 30: Line 30:
Zobacz stronę [[Part_Primitives/pl#Użycie|Geometrie pierwotne]].
Zobacz stronę [[Part_Primitives/pl#Użycie|Geometrie pierwotne]].


== Example ==
<span id="Example"></span>
==Przykład==


[[Image:Part_Helix_Scripting_Example.png|thumb|Part Helix from the scripting example]]
[[Image:Part_Helix_Scripting_Example.png|thumb|Part Helix from the scripting example]]

Revision as of 19:43, 23 June 2023

Część: Helisa

Lokalizacja w menu
Część → Utwórz geometrie pierwotne → Helisa
Środowisko pracy
Część, OpenSCAD
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Utwórz geometrię pierwotną

Opis

Helisa środowiska praczy Część to parametryczna bryła, którą można utworzyć za pomocą polecenia Utwórz geometrię pierwotną. W układzie współrzędnych zdefiniowanym przez właściwość DANEUmiejscowienie, osie elipsoidy są wyrównane z osiami X, Y i Z, a zatem jej środek znajduje się w punkcie początkowym.

Użycie

Zobacz stronę Geometrie pierwotne.

Przykład

Part Helix from the scripting example

A Part Helix object created with the scripting example below is shown here.

Notes

Properties

See also: Property editor.

A Part Helix object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Coordinate System

  • DANELocal Coord (Enumeration): The handedness, or direction, of the helix: Right-handed or Left-handed. The default is Right-handed, meaning the helix turns counterclockwise as it goes up.

Helix

  • DANEPitch (Length): The distance between two consecutive turns of the helix measured along its Z axis. The default is 1mm.
  • DANEHeight (Length): The height of the helix. The default is 2mm.
  • DANERadius (Length): The start radius of the helix. The helix has a constant radius if DANEAngle is .
  • DANESegment Length (QuantityConstraint): The number of turns per helix subdivision. The default is 1, meaning each full turn of the helix is a separate segment. Use 0 to suppress subdivision.
  • DANEAngle (Angle): The angle that defines of the outer shape of the helix. Valid range: -90° < value < 90°. The default is . If it is the helix is cylindrical, else it is conical.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Helix can be created with the addObject() method of the document:

helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
  • Where "myHelix" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()